| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ProductDetails Class Reference

Class that encapsulates information about product details. More...

Inheritance diagram for LicenseSpring.ProductDetails:

## Public Member Functions
| ProductDetails ()
| ProductDetails constructor.

## Properties
AuthorizationMethod | AuthorizationType`[get]`
| Authorization method of the product.
Company | Company`[get]`
| Encapsulates information about a company on the LicenseSpring backend.
CustomField[] | CustomFields`[get]`
| Product custom fields. Empty array if product doesn't contain any custom fields.
bool | IsTrialAllowed`[get]`
| Is trial allowed for the product or not.
string | Metadata`[get]`
| Json with product metadata.
string | ProductCode`[get]`
| Product short code.
string | ProductName`[get]`
| Product name.
uint | TrialPeriod`[get]`
| Trial period in days.
VersionInfo | VersionInfo`[get]`
| Version details. Null if product doesn't contain any version.
Properties inherited from LicenseSpring.IProductDetails

## Detailed Description

Class that encapsulates information about product details.

## Property Documentation

## ◆ AuthorizationType

AuthorizationMethod LicenseSpring.ProductDetails.AuthorizationType
| get

Authorization method of the product.

Implements LicenseSpring.IProductDetails.

## ◆ Company

Company LicenseSpring.ProductDetails.Company
| get

Encapsulates information about a company on the LicenseSpring backend.

Implements LicenseSpring.IProductDetails.

## ◆ CustomFields

CustomField [] LicenseSpring.ProductDetails.CustomFields
| get

Product custom fields. Empty array if product doesn't contain any custom fields.

Implements LicenseSpring.IProductDetails.

## ◆ IsTrialAllowed

bool LicenseSpring.ProductDetails.IsTrialAllowed
| get

Is trial allowed for the product or not.

Implements LicenseSpring.IProductDetails.

## ◆ Metadata

string LicenseSpring.ProductDetails.Metadata
| get

Json with product metadata.

Implements LicenseSpring.IProductDetails.

## ◆ ProductCode

string LicenseSpring.ProductDetails.ProductCode
| get

Product short code.

Implements LicenseSpring.IProductDetails.

## ◆ ProductName

string LicenseSpring.ProductDetails.ProductName
| get

Product name.

Implements LicenseSpring.IProductDetails.

## ◆ TrialPeriod

uint LicenseSpring.ProductDetails.TrialPeriod
| get

Trial period in days.

Implements LicenseSpring.IProductDetails.

## ◆ VersionInfo

VersionInfo LicenseSpring.ProductDetails.VersionInfo
| get

Version details. Null if product doesn't contain any version.

Implements LicenseSpring.IProductDetails.

The documentation for this class was generated from the following file:

- ProductDetails.cs